<?php

	/*
		Project: Cal Poly - DIY: Physical Computing at Play
		Author: Michael Newman
		Author URI: http://michaeljnewman.com
	*/

	// SESSION START
	session_start();
	header('P3P: CP="CAO COR CURa ADMa DEVa OUR IND ONL COM DEM PRE"');
	
	// SET TIMEZONE
	date_default_timezone_set('US/Pacific');
		
	// SET TOKEN FOR FORM SUBMISSION	
	if (empty($_SESSION['TOKEN'])) $_SESSION['TOKEN'] = md5(uniqid(rand(), TRUE));
		
	// SET URL PATH
	$domain			= 'http://pomp.com/';		// DOMAIN
	$directory 		= 'calpoly/';				// DIRECTORY
	$path 			= $domain . $directory;		// FULL PATH
	$db_prefix 		= 'CalPoly_';				// DATABASE PREFIX
	
	// PHP CLASS PATH
	$php_config = $_SERVER['DOCUMENT_ROOT'] . '/' . $directory . 'core/';
	
	// DATABASE FILE PATH
	$db_config = '/config/dev_config.inc';
	
	// INCLUDE CONFIG FILES
	require_once $db_config;
	
	
	// VARIABLES
	$title		= 'Cal Poly';
	$version 	= '0.0.1';
	$ipad 		= (strpos($_SERVER['HTTP_USER_AGENT'],'iPad')) ? 'true' : 'false';
	
	$rows		= 24;
	$cols		= 5;
	$states		= array('Pending', 'Active', 'Completed', 'Delete');
	
	$timeout	= 5000;
	
	
	////////////////////////////////////////////////////////////////
	// FUNCTIONS       
		
		// CLEAN DATA 
		function clean_data ($string) {
	
			if (get_magic_quotes_gpc()) $string = stripslashes($string);
	
			$string = strip_tags($string);
			$string = mysql_escape_string($string);
			
			return $string;
		} 
		
		// GET GAMES
		function get_games ($admin = false) {
		
			global $db, $db_prefix;
			
			$where = ($admin) ? '' : " WHERE State != 'Pending'";
			return $db->get_results("SELECT * FROM {$db_prefix}Games $where ORDER BY Created");
		}
		
		// GET ALL GAMES
		function get_display_games () {
		
			global $db, $db_prefix;
			
			return $db->get_results("SELECT * FROM {$db_prefix}Games ORDER BY Created");
		}
		
		// GET ACTIVE GAME
		function get_active_game () {
		
			global $db, $db_prefix;
			
			return $db->get_row("SELECT * FROM {$db_prefix}Games WHERE State = 'Active' ORDER BY Activated");
		}
		
		// GET BOARD
		function get_board ($GID) {
		
			global $db, $db_prefix;
			
			return $db->get_row("SELECT * FROM {$db_prefix}Moves WHERE GID = '$GID' ORDER BY Updated DESC");
		}
		
		// DATA DUMP FUNCTION
		function dump ($data) {
		
			echo '<pre style="font-size: 8pt; color: #f00;">';
			var_dump($data);
			echo '</pre>';
		}		
	////////////////////////////////////////////////////////////////
	
	
