<?php

	/*
		Project: Cal Poly - DIY: Physical Computing at Play
		Author: Michael Newman
		Author URI: http://michaeljnewman.com
	*/
	
	// UPDATE GAME SCORE FROM BOARD
	
	require_once '../config.php';
	require_once '../core/Input_Data_v1-1.php';
	
	$Board	= $_REQUEST['Board'];
	
	$data = new Input_Data(); // PREPARE DATA OBJECT	
	$data->add_data_type('Board', true, 100);
	
	$data->add_data($_REQUEST); // LOAD DATA
	
	$game = get_active_game(); // GET ACTIVE GAME
	 
	// VALIDATE INPUT DATA & ACTIVE GAME
	if ($data->validate_data() && $game->GID) {
		
		$Board		= clean_data($data->get_data('Board'));
		
		// UPDATE GAME BOARD
		$insert		= $data->sql_insert('Board') . "GID, Board, Updated";
		$values 	= $data->sql_values('Board') . "'{$game->GID}', '$Board', NOW()";			
		$updated 	= $db->query("INSERT INTO {$db_prefix}Moves ($insert) VALUES ($values)");
		
		// CALCULATE SCORES
		$pylons = str_split($Board);
	
		for ($i = 0; $i < count($pylons); $i++) {
		
			if ($i < (count($pylons) /2)) {
			
				$Team1Score	+= $pylons[$i];
			} else {
			
				$Team2Score	+= $pylons[$i];
			}
		}
		
		// UPDATE GAME SCORES
		$updated 	= $db->query("UPDATE {$db_prefix}Games SET Team1Score = $Team1Score, Team2Score = $Team2Score WHERE GID = {$game->GID}");
	}
	
		
	/* DUMP INPUT TO DATA FILE
	$output = 'data.txt';
	
	$fh = fopen($output, 'a+') or die('False');

	ob_start();
	
		echo 'Received ' . date('Y-m-d H:i:s') . ' : ' . $Board . "\r";
		//dump($_SERVER);
		
	$out = ob_get_clean();

	fwrite($fh, $out);

	fclose($fh);
	
	echo ' Server Response: Data Logged.  ';
	//*/

