<?php

	/*
		Project: Cal Poly - DIY: Physical Computing at Play
		Author: Michael Newman
		Author URI: http://michaeljnewman.com
	*/

	// UPDATE GAME FROM ADMIN
	
	require_once '../config.php';
	require_once '../core/Input_Data_v1-1.php';
	
	$response = array (); // RESPONSE ARRAY
	
	$data = new Input_Data(); // PREPARE DATA OBJECT	
	$data->add_data_type('GID', true, 20);
	$data->add_data_type('Action', true, 20);
	
	$data->add_data($_REQUEST); // LOAD DATA
	
	if ($_SESSION['TOKEN'] != $_REQUEST['TOKEN']) die('INVALID SESSION');
	
	$response['response'] = 'error';
	
	// VALIDATE INPUT DATA
	if ($data->validate_data()) {
		
		$GID 	= clean_data($data->get_data('GID'));
		$Action	= clean_data($data->get_data('Action'));
		
		if ($Action == 'Delete') {
		
			// DELETE GAME
			$updated 	= $db->query("DELETE FROM {$db_prefix}Games WHERE GID = $GID");
		} else {
		
			$date = '';
			if ($Action != 'Pending') $date = ($Action == 'Active') ? ", Activated = NOW()" : ", Completed = NOW()";
			
			// UPDATE GAME
			$updated 	= $db->query("UPDATE {$db_prefix}Games SET State = '$Action' $date WHERE GID = $GID");
		}
		
		if ($updated) $response['response'] = 'success';
	}
	
	// PREPARE RESPONSE
	$json = json_encode($response);
		
	// OUTPUT JSON RESPONSE
	header('Content-Type: text/plain, charset=utf-8');
	echo $json;
