<?php

	/*
		Project: Cal Poly - DIY: Physical Computing at Play
		Author: Michael Newman
		Author URI: http://michaeljnewman.com
	*/
	
	// CREATE NEW GAME FROM ADMIN
	
	require_once '../config.php';
	require_once '../core/Input_Data_v1-1.php';
	
	$response = array (); // RESPONSE ARRAY
	
	$data = new Input_Data(); // PREPARE DATA OBJECT	
	$data->add_data_type('layout', true, 1500);
	
	$data->add_data($_REQUEST); // LOAD DATA
	
	if ($_SESSION['TOKEN'] != $_REQUEST['TOKEN']) die('INVALID SESSION');
	
	$response['response'] = 'error';
	
	// VALIDATE INPUT DATA
	if ($data->validate_data()) {
		
		// CREATE NEW GAME
		$insert		= $data->sql_insert() . ", Created";
		$values 	= $data->sql_values() . ', NOW()';			
		$created 	= $db->query("INSERT INTO {$db_prefix}Games ($insert) VALUES ($values)");
		
		if ($created) $response['response'] = 'success';
	}
	
	// PREPARE RESPONSE
	$json = json_encode($response);
		
	// OUTPUT JSON RESPONSE
	header('Content-Type: text/plain, charset=utf-8');
	echo $json;
