/*

	Project: Cal Poly - DIY: Physical Computing at Play
	Author: Michael Newman
	Author URI: http://michaeljnewman.com
	 
 	Source Server Type    : MySQL
 	Source Server Version : 50153
 
 	Target Server Type    : MySQL
 	Target Server Version : 50153
 	File Encoding         : utf-8

*/

SET NAMES utf8;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
--  Table structure for `CalPoly_Games`
-- ----------------------------
DROP TABLE IF EXISTS `CalPoly_Games`;
CREATE TABLE `CalPoly_Games` (
  `GID` bigint(5) NOT NULL AUTO_INCREMENT,
  `State` varchar(10) NOT NULL DEFAULT 'Pending',
  `Layout` text NOT NULL,
  `Team1Score` bigint(5) NOT NULL,
  `Team2Score` bigint(5) NOT NULL,
  `Created` datetime NOT NULL,
  `Activated` datetime NOT NULL,
  `Completed` datetime NOT NULL,
  PRIMARY KEY (`GID`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
--  Table structure for `CalPoly_Moves`
-- ----------------------------
DROP TABLE IF EXISTS `CalPoly_Moves`;
CREATE TABLE `CalPoly_Moves` (
  `MID` bigint(20) NOT NULL AUTO_INCREMENT,
  `GID` bigint(5) NOT NULL,
  `Board` text NOT NULL,
  `Updated` datetime NOT NULL,
  PRIMARY KEY (`MID`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

SET FOREIGN_KEY_CHECKS = 1;
